import React from 'react';
import type { IDefaultChartProps, Coordinates } from '../types';
export interface IProps extends Omit<IDefaultChartProps, 'data'> {
    height?: number;
    colors?: string[];
    xMaxValue?: number;
    yRangeValues?: number;
    legendPosition?: number;
    legendNames?: [string, string, string];
    coordinateNames?: {
        x: string;
        y: string;
    };
    coordinates: [Coordinates[], Coordinates[], Coordinates[]];
}
declare const CoordinateLineChart: (props: IProps) => React.JSX.Element;
export default CoordinateLineChart;
