"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.argTypesDisableVertical = exports.argTypesDisableStacked = exports.argTypesDisableRadar = exports.argTypesDisablePie = exports.argTypesDisablePictorial = exports.argTypesDisableMultipurpose = exports.argTypesDisableLine = exports.argTypesDisableHorizontal = exports.argTypesDisableForecast = exports.argTypesDisableDonut = exports.argTypesDisableCoordinate = exports.argTypesDisableAudiometry = exports.argTypesDisableArea = exports.argTypesCommon = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { (0, _defineProperty2["default"])(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var argTypesCommon = exports.argTypesCommon = {
  height: {
    table: {
      disable: true
    }
  },
  lineMakeName: {
    table: {
      disable: true
    }
  },
  yComplement: {
    table: {
      disable: true
    }
  },
  tooltipComplement: {
    table: {
      disable: true
    }
  },
  forecastColor: {
    table: {
      disable: true
    }
  },
  xType: {
    table: {
      disable: true
    }
  },
  yType: {
    table: {
      disable: true
    }
  },
  barWidth: {
    table: {
      disable: true
    }
  },
  dateFormat: {
    table: {
      disable: true
    }
  },
  width: {
    table: {
      disable: true
    }
  },
  grid: {
    table: {
      disable: true
    }
  },
  rotateLabel: {
    table: {
      disable: true
    }
  },
  fontLabelSize: {
    table: {
      disable: true
    }
  },
  showBarLabel: {
    table: {
      disable: true
    }
  },
  title: {
    table: {
      disable: true
    }
  },
  colors: {
    table: {
      disable: true
    }
  },
  toolboxTooltip: {
    table: {
      disable: true
    }
  },
  isMoreThanHundredPercent: {
    table: {
      disable: true
    }
  },
  labelWordSize: {
    table: {
      disable: true
    }
  },
  marginLeftTitle: {
    table: {
      disable: true
    }
  },
  marginRightToolbox: {
    table: {
      disable: true
    }
  },
  titleFontSize: {
    table: {
      disable: true
    }
  },
  scrollStart: {
    table: {
      disable: true
    }
  },
  onClickBar: {
    table: {
      disable: true
    }
  }
};
var argTypesDisableArea = exports.argTypesDisableArea = _objectSpread({}, argTypesCommon);
var argTypesDisableAudiometry = exports.argTypesDisableAudiometry = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  legendsPosition: {
    table: {
      disable: true
    }
  },
  legendGap: {
    table: {
      disable: true
    }
  },
  legends: {
    table: {
      disable: true
    }
  },
  legendPadding: {
    table: {
      disable: true
    }
  },
  legendItemWidth: {
    table: {
      disable: true
    }
  },
  legendItemHeight: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  tooltipMarker: {
    table: {
      disable: true
    }
  },
  formatTooltip: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableCoordinate = exports.argTypesDisableCoordinate = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  coordinateNames: {
    table: {
      disable: true
    }
  },
  legendPosition: {
    table: {
      disable: true
    }
  },
  legendNames: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableDonut = exports.argTypesDisableDonut = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  center: {
    table: {
      disable: true
    }
  },
  centerPieValueFontSize: {
    table: {
      disable: true
    }
  },
  color: {
    table: {
      disable: true
    }
  },
  labelFontColor: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  noAnimation: {
    table: {
      disable: true
    }
  },
  resultFormatType: {
    table: {
      disable: true
    }
  },
  selectedMode: {
    table: {
      disable: true
    }
  },
  tooltipTitle: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableForecast = exports.argTypesDisableForecast = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  color: {
    table: {
      disable: true
    }
  },
  forecastChartLegends: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableHorizontal = exports.argTypesDisableHorizontal = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  color: {
    table: {
      disable: true
    }
  },
  boldTickLabel: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  showTickInfos: {
    table: {
      disable: true
    }
  },
  xComplement: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableLine = exports.argTypesDisableLine = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  axisNames: {
    table: {
      disable: true
    }
  },
  color: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  showLabel: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableMultipurpose = exports.argTypesDisableMultipurpose = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  rangeSelector: {
    table: {
      disable: true
    }
  }
});
var argTypesDisablePictorial = exports.argTypesDisablePictorial = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  }
});
var argTypesDisablePie = exports.argTypesDisablePie = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  resultFormatType: {
    table: {
      disable: true
    }
  },
  labelFontColor: {
    table: {
      disable: true
    }
  },
  noAnimation: {
    table: {
      disable: true
    }
  },
  center: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  tooltipTitle: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableRadar = exports.argTypesDisableRadar = {
  width: {
    table: {
      disable: true
    }
  },
  yComplement: {
    table: {
      disable: true
    }
  }
};
var argTypesDisableStacked = exports.argTypesDisableStacked = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  tooltipExtra: {
    table: {
      disable: true
    }
  },
  sumDataValues: {
    table: {
      disable: true
    }
  },
  legendType: {
    table: {
      disable: true
    }
  },
  legendScrollGap: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  },
  secondYAxisType: {
    table: {
      disable: true
    }
  },
  additionalResults: {
    table: {
      disable: true
    }
  }
});
var argTypesDisableVertical = exports.argTypesDisableVertical = _objectSpread(_objectSpread({}, argTypesCommon), {}, {
  rotateTickLabel: {
    table: {
      disable: true
    }
  },
  lineMarkValue: {
    table: {
      disable: true
    }
  },
  lineMarkColor: {
    table: {
      disable: true
    }
  }
});