import React from 'react';
import type { IPieProps } from '../pie-chart/PieChart';
export interface IDonutProps extends IPieProps {
    selectedMode?: boolean;
    donutCenterValue?: string;
    donutRadius: [string, string];
    centerPieValueFontSize?: number;
    legendType?: 'scroll' | 'plain';
}
declare const DonutChart: (props: IDonutProps) => React.JSX.Element;
export default DonutChart;
