import React from 'react';
import type { IDefaultChartProps, PictorialEntryData } from '../types';
export interface IProps extends Omit<IDefaultChartProps, 'data'> {
    data: PictorialEntryData[];
    height?: number | string;
}
declare const PictorialChart: (props: IProps) => React.JSX.Element;
export default PictorialChart;
