import React from 'react';
import type { WidthProps } from '../types';
export interface RadarChartProps {
    series: Array<{
        name: string;
        color: string;
        data: number[];
    }>;
    indicators: Array<{
        name: string;
        max: number;
    }>;
    width?: WidthProps;
    circular?: boolean;
    highlight?: boolean;
    yComplement?: (input: string) => string;
}
declare const RadarChart: (props: RadarChartProps) => React.JSX.Element;
export default RadarChart;
