import React from 'react';
import type { Tooltip, EntryDataNTuples, IDefaultChartProps } from '../types';
export interface IProps extends Omit<IDefaultChartProps, 'data'> {
    colors?: string[];
    tooltipExtra?: string;
    data: EntryDataNTuples;
    sumDataValues?: boolean;
    legendScrollGap?: number;
    additionalResults?: Tooltip[];
    legendType?: 'scroll' | 'none';
    secondYAxisType?: 'percent' | string;
}
declare const StackedBarChart: (props: IProps) => React.JSX.Element;
export default StackedBarChart;
