import React from 'react';
import type { TooltipEntryProps, IDefaultChartProps } from '../types';
export interface IProps extends Omit<IDefaultChartProps, 'tooltip'> {
    tooltip: {
        current: TooltipEntryProps;
        forecast: TooltipEntryProps;
    };
    forecastChartLegends?: {
        current?: string;
        forecast?: string;
        lineMark?: string;
    };
}
declare const ForecastAreaChart: (props: IProps) => React.JSX.Element;
export default ForecastAreaChart;
