import React from 'react';
import type { EntryDataLine, IDefaultChartProps } from '../types';
export interface IProps extends Omit<IDefaultChartProps, 'data'> {
    data: EntryDataLine[];
    smooth?: boolean;
    colors?: string[];
    showLabel?: boolean;
    disableMarks?: boolean;
    axisNames?: {
        x: string;
        y: string;
    };
}
declare const LineChart: (props: IProps) => React.JSX.Element;
export default LineChart;
