import React from 'react';
import type { IDefaultChartProps, WidthProps } from '../types';
export interface MultipurposeChartProps {
    series: Array<{
        name: string;
        color?: string;
        data: number[];
    }>;
    width?: WidthProps;
    dateFormat?: string;
    rangeSelector?: boolean;
    xData: Array<number | string>;
    xType?: IDefaultChartProps['xType'];
    yType?: IDefaultChartProps['yType'];
    yComplement?: (input: string) => string;
}
declare const MultipurposeChart: (props: MultipurposeChartProps) => React.JSX.Element;
export default MultipurposeChart;
